yarn install node-sass(gulp-sass) 安装失败解决方案

执行yarn install node-sass 报error \node-sass: Command failed.

 


 

原因:文件下载不到,可能是因为被墙.

 


 

1.最简单的方法

  cnpm install node-sass(gulp-sass)

 

2.如果必须要用yarn 安装 则需要手动去下载文件,然后设置环境变量

  下载地址 https://github.com/sass/node-sass-binaries ,要下载与node对应的版本,不然也会提示版本不对而安装失败.

  我用的是 https://github.com/sass/node-sass-binaries/blob/master/win32-x64-51_binding.node  (node v7.10.0)

  设置环境变量命令set SASS_BINARY_PATH=~\Downloads\win32-x64-51_binding.node(你的存放地址)

  命令设置的只是一次性的,一劳永逸的办法是--高级系统设置-->环境变量-->新建系统变量

  查看 echo %SASS_BINARY_PATH%

  然后就可以执行成功 yarn install node-sass

 


 

 

tips 执行 yarn 的时候,因为package.json某个包下载失败,会导致生成不了yarn.lock

 


 17.11.9更新

 node 版本v6.10.2  对应

 node-sass版本 win32-x64-48_binding.node

 


18.08.05更新 

以上地址过时, 使用下面方法

 

用这行命令:

node -p "[process.platform, process.arch, process.versions.modules].join('-')"

复制输出的结果,去 Release 列表 找到对应的版本,Ctrl+F 粘贴,找到那个文件,下载(必要的时候挂代理,浏览器下载通常都比 node 下载更快更稳定),然后文件存到一个稳定的路径,并复制路径

设置sass路径

set SASS_BINARY_PATH=D:/nodejs/.nodes/win32-x64-57_binding.node

然后安装node-sass模块

npm i node-sass -D --verbose

之后重新install就可以了



posted @ 2017-05-27 10:47 龙鸿轩 阅读(...) 评论(...) 编辑 收藏